package com.rjconsultores.ventaboletos.dao.hibernate;

import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.TipoIdentificacionDAO;
import com.rjconsultores.ventaboletos.entidad.TipoIdentificacion;

@Repository("tipoIdentificacionDAO")
public class TipoIdentificacionHibernateDAO extends GenericHibernateDAO<TipoIdentificacion, Integer> implements TipoIdentificacionDAO {
	
	@Autowired
	public TipoIdentificacionHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}
	
}
